Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.editor
Interface IModelEditorFactory

    com.change_vision.jude.api.inf.editor.IModelEditorFactory

    public IModelEditorFactory

Interface to create ModelEditor.

Method Summary
`abstract BasicModelEditor` | `getBasicModelEditor()` Create BasicModelEditor.
`abstract CompositeStructureModelEditor` | `getCompositeStructureModelEditor()` Create CompositeStructureModelEditor.
`abstract ERModelEditor` | `getERModelEditor()` Create ERModelEditor.
`abstract MindmapDiagramEditor` | `getMindmapDiagramEditor()` Deprecated. Create MindmapDiagramEditor.
`abstract UseCaseModelEditor` | `getUseCaseModelEditor()` Create UseCaseModelEditor.

Method Detail

### getBasicModelEditor

    abstract BasicModelEditor getBasicModelEditor()

  Create BasicModelEditor.

  Returns:
    BasicModelEditor
  Throws:
    `InvalidEditingException` - community version cannot use editing API

### getERModelEditor

    abstract ERModelEditor getERModelEditor()

  Create ERModelEditor.

  Returns:
    ERModelEditor
  Throws:
    `InvalidEditingException` - community version cannot use editing API

### getUseCaseModelEditor

    abstract UseCaseModelEditor getUseCaseModelEditor()

  Create UseCaseModelEditor.

  Returns:
    UseCaseModelEditor
  Throws:
    `InvalidEditingException` - community version cannot use editing API

### getMindmapDiagramEditor

    abstract MindmapDiagramEditor getMindmapDiagramEditor()

  Deprecated. Create MindmapDiagramEditor.

  Returns:
    MindmapDiagramEditor
  Throws:
    `InvalidEditingException` - community version cannot use editing API

### getCompositeStructureModelEditor

    abstract CompositeStructureModelEditor getCompositeStructureModelEditor()

  Create CompositeStructureModelEditor.

  Returns:
    CompositeStructureModelEditor
  Throws:
    `InvalidEditingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD